<mat-card>
  <mat-card-title>Scegli l'attacco</mat-card-title>

  <button mat-button color="primary" (click)="getCredentials()">Ottieni credenziali clienti</button>

  <mat-card-content *ngIf="sectoolService.getCredentialSuccess">
    <mat-card>
      <mat-card-title align="center">Utenze trovate</mat-card-title>
      <table mat-table [dataSource]="sectoolService.getCredentialsResponse" class="mat-elevation-z8" align="center">

        <ng-container matColumnDef="Unit">
          <th mat-header-cell *matHeaderCellDef> Username:</th>
          <td mat-cell *matCellDef="let record"> {{record.Unit}} </td>
        </ng-container>

        <ng-container matColumnDef="Name">
          <th mat-header-cell *matHeaderCellDef> Hash</th>
          <td mat-cell *matCellDef="let element"> {{element.Name}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="getAdminTableHeaders"></tr>
        <tr mat-row *matRowDef="let row; columns: getAdminTableHeaders;"></tr>
      </table>
    </mat-card>


  </mat-card-content>
  <br/>


  <button mat-button color="primary" (click)="getAdminList()">Ottieni Lista Admin/Staff</button>
  <mat-card-content *ngIf="sectoolService.getAdminSuccess">
    <mat-card>
      <mat-card-title align="center">Utenze trovate</mat-card-title>
      <table mat-table [dataSource]="sectoolService.getAdminResult[0]" class="mat-elevation-z8" align="center">

        <ng-container matColumnDef="Unit">
          <th mat-header-cell *matHeaderCellDef> Username</th>
          <td mat-cell *matCellDef="let record"> {{record.Unit}} </td>
        </ng-container>

        <ng-container matColumnDef="Name">
          <th mat-header-cell *matHeaderCellDef> Hash</th>
          <td mat-cell *matCellDef="let element"> {{element.Name}} </td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="getAdminTableHeaders"></tr>
        <tr mat-row *matRowDef="let row; columns: getAdminTableHeaders;"></tr>
      </table>
    </mat-card>


  </mat-card-content>
</mat-card>


